Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1573011

Summary: Upstream release 3.4.0
Product: [Fedora] Fedora Reporter: Gerald Cox <gbcox>
Component: copyqAssignee: Gerald Cox <gbcox>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: gbcox
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: copyq-3.4.0-1.fc26 copyq-3.4.0-1.fc28 copyq-3.4.0-1.fc27 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-25 14:56:58 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Gerald Cox 2018-04-29 18:49:12 UTC
Upstream release 3.4.0

    Fix icon sizes in menu
    Fix showing dialog() above main window
    Fix closing clipboard monitor and provider on exit
    Safer data serialization and communication protocol
    Smoother colorized application icon
    Faster pasting to target window
    Run script commands in own context
    Omit showing same notification multiple times
    Omit handling text/uri-list by default
    OSX: Fix opening main window from tray menu
    OSX: Fix exporting configuration
    OSX: Fix focusing own windows for pasting
    Linux: Fix crashing on Wayland
    X11: Fix showing incorrect clipboard content

Comment 1 Fedora Update System 2018-04-29 20:18:40 UTC
copyq-3.4.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c336887aff

Comment 2 Fedora Update System 2018-04-29 20:19:10 UTC
copyq-3.4.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-60f0d72549

Comment 3 Fedora Update System 2018-04-29 20:19:40 UTC
copyq-3.4.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-03d8f6b3c8

Comment 4 Fedora Update System 2018-04-30 17:02:36 UTC
copyq-3.4.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-03d8f6b3c8

Comment 5 Fedora Update System 2018-04-30 18:43:24 UTC
copyq-3.4.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-60f0d72549

Comment 6 Fedora Update System 2018-04-30 19:54:05 UTC
copyq-3.4.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c336887aff

Comment 7 Fedora Update System 2018-05-25 14:56:58 UTC
copyq-3.4.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-05-25 15:05:28 UTC
copyq-3.4.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-05-25 15:44:26 UTC
copyq-3.4.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.